## duc 1.4.5

=== doc/Makefile ===

duc.1 duc.html: manual.txt ../duc
	../duc manual > options.txt
	sed -e "/>>>>/r options.txt" -e "//d" < manual.txt > duc.md
	ronn --style=toc,80c duc.md

clean:
	rm -f options.txt

## duc 1.3.3

=== debian/changelog ===
duc (1.3.3-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:36 +0000

duc (1.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #783310)

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 21 Jun 2015 11:06:54 -0300

=== debian/control ===
Source: duc
Section: utils
Priority: optional
Maintainer: Herbert Parentes Fortes Neto <hpfn@ig.com.br>
Build-Depends: debhelper (>= 9),
               txt2man,
               libncursesw5-dev,
               libcairo2-dev,
               libpango1.0-dev,
               libtokyocabinet-dev
Standards-Version: 3.9.6
Homepage: http://duc.zevv.nl/
Vcs-Git: git://anonscm.debian.org/collab-maint/duc.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/duc.git

Package: duc-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-performance disk usage analyzer (without X support)
 Duc maintains a database of accumulated sizes of directories of the file
 system, and allows you to query this database with some tools.
 .
 Duc comes with console utilities, ncursesw and a CGI wrapper for disk
 usage querying and visualisation.
 .
 Duc is designed to scale to huge filesystems: it will index and display
 hundreds of millions of files on petabytes of storage without problems.
 .
 This package provides the console version of the duc.

Package: duc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-performance disk usage analyzer
 Duc maintains a database of accumulated sizes of directories of the file
 system, and allows you to query this database with some tools, or create
 fancy graphs showing you where your bytes are.
 .
 Duc comes with console utilities, ncursesw and X11 user interfaces and a
 CGI wrapper for disk usage querying and visualisation.
 .
 Duc is designed to scale to huge filesystems: it will index and display
 hundreds of millions of files on petabytes of storage without problems.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

FLAGS_duc:=
FLAGS_duc-nox:=--disable-cairo
FLAGS_duc-nox+=--disable-x11

BUILDDIR     := $(CURDIR)/debian/build
BUILDDIR_NOX := $(CURDIR)/debian/build-nox

%:
	dh $@

override_dh_auto_configure: 
	mkdir -p $(BUILDDIR)
	cd $(BUILDDIR); ../../configure $(FLAGS_duc)
	mkdir -p $(BUILDDIR_NOX)
	cd $(BUILDDIR_NOX); ../../configure $(FLAGS_duc-nox)

override_dh_auto_build:
	cp src/libduc/*.h $(BUILDDIR)/src/libduc/
	cp src/libduc/*.h $(BUILDDIR_NOX)/src/libduc/
	cp src/libduc-graph/*.h $(BUILDDIR)/src/libduc-graph/
	cp src/libduc-graph/*.h $(BUILDDIR_NOX)/src/libduc-graph/
	dh_auto_build -a -- -C $(BUILDDIR)
	dh_auto_build -a -- -C $(BUILDDIR_NOX)/src

override_dh_auto_install:
	$(MAKE) -C $(BUILDDIR) install DESTDIR=$(BUILDDIR).inst
	$(MAKE) -C $(BUILDDIR_NOX) install DESTDIR=$(BUILDDIR_NOX).inst
	mv $(BUILDDIR_NOX)/duc $(BUILDDIR_NOX)/duc-nox

override_dh_auto_clean:
	dh_clean
	rm -fr $(BUILDDIR) $(BUILDDIR_NOX)
	rm -fr debian/*.inst

=== debian/watch ===
version=3
https://github.com/zevv/duc/releases .*/archive/v?(\d\S+)\.tar\.(?:gz|bz2|xz)

## duc 1.4.1

=== debian/changelog ===
duc (1.4.1-3) unstable; urgency=medium

  * debian/control:
      - bump Standards-Version from 3.9.7 to 3.9.8
  * debian/copyright:
      - License other_1 renamed to Expat.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 19 Jun 2016 15:28:07 -0300

duc (1.4.1-2) unstable; urgency=low

  * debian/patches:
      - ftbfs_hurd-i386.patch file created.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sat, 02 Apr 2016 17:18:35 -0300

duc (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/man/* updated.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 22 Mar 2016 13:48:45 -0300

duc (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
      - dh-autoreconf added to Build-Depends field.
      - Bump Standards-Version to 3.9.7.
      - Vcs-* fields using https.
  * debian/copyright updated.
  * debian/duc*.examples created.
  * debian/man/* updated to version 1.4.0.
  * debian/patches:
      - fix_typo_cmd-index.patch created.
      - fix_typo_libduc_duc.patch created.
  * debian/rules:
      - '--with autoreconf' param added.
      - set '--prefix=/usr' as a install dir.
      - two lines added to 'cp src/glad' to where the build is done.
  * debian/watch:
      - version 4.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Wed, 09 Mar 2016 15:06:01 -0300

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Herbert Parentes Fortes Neto <hpfn@ig.com.br>
 Build-Depends: debhelper (>= 9),
-               txt2man,
+               dh-autoreconf,
+               libcairo2-dev,
                libncursesw5-dev,
-               libcairo2-dev,
                libpango1.0-dev,
-               libtokyocabinet-dev
-Standards-Version: 3.9.6
+               libtokyocabinet-dev,
+               txt2man
+Standards-Version: 3.9.8
 Homepage: http://duc.zevv.nl/
-Vcs-Git: git://anonscm.debian.org/collab-maint/duc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/duc.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/duc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/duc.git
 
 Package: duc-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: high-performance disk usage analyzer (without X support)
  Duc maintains a database of accumulated sizes of directories of the file
  system, and allows you to query this database with some tools.
@@ -30,7 +31,7 @@
 
 Package: duc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: high-performance disk usage analyzer
  Duc maintains a database of accumulated sizes of directories of the file
  system, and allows you to query this database with some tools, or create

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,16 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-FLAGS_duc:=
-FLAGS_duc-nox:=--disable-cairo
+FLAGS_duc:=--prefix=/usr
+FLAGS_duc-nox:=--prefix=/usr
+FLAGS_duc-nox+=--disable-cairo
 FLAGS_duc-nox+=--disable-x11
 
 BUILDDIR     := $(CURDIR)/debian/build
 BUILDDIR_NOX := $(CURDIR)/debian/build-nox
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure: 
 	mkdir -p $(BUILDDIR)
@@ -22,6 +23,8 @@
 	cd $(BUILDDIR_NOX); ../../configure $(FLAGS_duc-nox)
 
 override_dh_auto_build:
+	cp -r src/glad/* $(BUILDDIR)/src/glad/
+	cp -r src/glad/* $(BUILDDIR_NOX)/src/glad/
 	cp src/libduc/*.h $(BUILDDIR)/src/libduc/
 	cp src/libduc/*.h $(BUILDDIR_NOX)/src/libduc/
 	cp src/libduc-graph/*.h $(BUILDDIR)/src/libduc-graph/

## duc 1.4.3

=== debian/changelog ===
duc (1.4.3-3) unstable; urgency=medium

  * Adopt duc. Thank you Herbert Parentes Fortes Neto for all your hard
    work and best wishes for the future! Closes: #886013.
  * Bump standards version (no further changes needed)
  * duc-nox provides /usr/bin/duc and the duc and duc-nox packages now
    conflict with each other. Closes: #885404.
    * Add a compatibility symlink for duc-nox.
  * Remove empty debian/patches/series
  * Revert src/libduc-graph/font.c to upstream version (DOS line endings)
    to keep dpkg-source happy.

 -- Jonathan Dowland <jmtd@debian.org>  Tue, 02 Jan 2018 16:12:09 +0000

duc (1.4.3-2) unstable; urgency=medium

  * debian/control:
      - Add ruby-ronn to Build-Depends
  * debian/duc-nox.manpages:
      - Upstream manpage generated at build time.
  * debian/man removed.
  * debian/rules:
      - generate duc-nox manpage

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Mon, 30 Jan 2017 10:55:43 -0200

duc (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Updated.
  * debian/man:
      - Refresh duc-nox manpage.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Mon, 30 Jan 2017 10:33:18 -0200

duc (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/duc-nox.1:
      - Refresh file.
  * debian/patches:
      - all patches applied by the upstream.
  * debian/rules:
      - dh_auto_configure:
          - Add '-fPIE' to CFLAGS.
          - Add '-fPIE -pie' to LDFLAGS.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 26 Nov 2016 08:46:56 -0200

duc (1.4.1-4) unstable; urgency=medium

  * debian/control:
      - Update my email.
  * debian/copyright:
      - Update my email
  * debian/man:
      - Fix typo in duc-nox.txt and generate a new duc-nox.1
  * debian/patches:
      - Create fix-typo-manpage.patch. duc.1
      - Create fix-typo-cmd-cgi-c.patch.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 05 Nov 2016 12:24:11 -0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: duc
 Section: utils
 Priority: optional
-Maintainer: Herbert Parentes Fortes Neto <hpfn@ig.com.br>
+Maintainer: Jonathan Dowland <jmtd@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libcairo2-dev,
                libncursesw5-dev,
                libpango1.0-dev,
                libtokyocabinet-dev,
+               ruby-ronn,
                txt2man
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://duc.zevv.nl/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/duc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/duc.git
@@ -17,6 +18,7 @@
 Package: duc-nox
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: duc
 Description: high-performance disk usage analyzer (without X support)
  Duc maintains a database of accumulated sizes of directories of the file
  system, and allows you to query this database with some tools.
@@ -32,6 +34,7 @@
 Package: duc
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: duc-nox (>= 1.4.3-3)
 Description: high-performance disk usage analyzer
  Duc maintains a database of accumulated sizes of directories of the file
  system, and allows you to query this database with some tools, or create

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,9 @@
 
 override_dh_auto_configure: 
 	mkdir -p $(BUILDDIR)
-	cd $(BUILDDIR); ../../configure $(FLAGS_duc)
+	cd $(BUILDDIR); ../../configure $(FLAGS_duc) CFLAGS="$(CFLAGS) -fPIE" LDFLAGS="$(LDFLAGS) -fPIE -pie"
 	mkdir -p $(BUILDDIR_NOX)
-	cd $(BUILDDIR_NOX); ../../configure $(FLAGS_duc-nox)
+	cd $(BUILDDIR_NOX); ../../configure $(FLAGS_duc-nox) CFLAGS="$(CFLAGS) -fPIE" LDFLAGS="$(LDFLAGS) -fPIE -pie"
 
 override_dh_auto_build:
 	cp -r src/glad/* $(BUILDDIR)/src/glad/
@@ -35,7 +35,9 @@
 override_dh_auto_install:
 	$(MAKE) -C $(BUILDDIR) install DESTDIR=$(BUILDDIR).inst
 	$(MAKE) -C $(BUILDDIR_NOX) install DESTDIR=$(BUILDDIR_NOX).inst
-	mv $(BUILDDIR_NOX)/duc $(BUILDDIR_NOX)/duc-nox
+	cp -r doc $(BUILDDIR_NOX)/
+	rm -f $(BUILDDIR_NOX)/doc/duc.1
+	$(MAKE) -C $(BUILDDIR_NOX)/doc
 
 override_dh_auto_clean:
 	dh_clean

=== debian/watch ===
version=4
https://github.com/zevv/duc/releases .*/archive/v?(\d\S+)\.tar\.(?:gz|bz2|xz)

## duc 1.4.4

=== debian/changelog ===
duc (1.4.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.
  * Move to debhelper 12.

 -- Jonathan Dowland <jmtd@debian.org>  Wed, 06 May 2020 16:20:12 +0100

duc (1.4.3-6) unstable; urgency=medium

  * Fix FTBFS (dh_installman: Cannot find "debian/build-nox/doc/duc.1").
    (Closes: #924473)

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 17 Mar 2019 18:55:56 +0100

duc (1.4.3-5) unstable; urgency=medium

  [Ondřej Nový]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [Helmut Grohne]
  * Address FTCBFS: Let dh_auto_configure pass --host to ./configure.
    (Closes: #915595)

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 05 Dec 2018 06:24:22 +0100

duc (1.4.3-4) unstable; urgency=medium

  * Update Vcs-* headers to reflect migration from Alioth to Salsa.
  * Change B-D on ruby-conn to conn. Thanks Helmut Grohne. Closes: #903067.
  * Bump standards version (no other changes)

 -- Jonathan Dowland <jmtd@debian.org>  Thu, 05 Jul 2018 21:58:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: utils
 Priority: optional
 Maintainer: Jonathan Dowland <jmtd@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 12),
                libcairo2-dev,
                libncursesw5-dev,
                libpango1.0-dev,
                libtokyocabinet-dev,
-               ruby-ronn,
+               ronn,
                txt2man
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: http://duc.zevv.nl/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/duc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/duc.git
+Vcs-Git: https://salsa.debian.org/debian/duc.git
+Vcs-Browser: https://salsa.debian.org/debian/duc
 
 Package: duc-nox
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-FLAGS_duc:=--prefix=/usr
-FLAGS_duc-nox:=--prefix=/usr
+FLAGS_duc:=--enable-dependency-tracking
+FLAGS_duc-nox:=--enable-dependency-tracking
 FLAGS_duc-nox+=--disable-cairo
 FLAGS_duc-nox+=--disable-x11
 
@@ -14,13 +14,11 @@
 BUILDDIR_NOX := $(CURDIR)/debian/build-nox
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
-override_dh_auto_configure: 
-	mkdir -p $(BUILDDIR)
-	cd $(BUILDDIR); ../../configure $(FLAGS_duc) CFLAGS="$(CFLAGS) -fPIE" LDFLAGS="$(LDFLAGS) -fPIE -pie"
-	mkdir -p $(BUILDDIR_NOX)
-	cd $(BUILDDIR_NOX); ../../configure $(FLAGS_duc-nox) CFLAGS="$(CFLAGS) -fPIE" LDFLAGS="$(LDFLAGS) -fPIE -pie"
+override_dh_auto_configure:
+	dh_auto_configure --builddirectory=$(BUILDDIR) -- $(FLAGS_duc) CFLAGS="$(CFLAGS) -fPIE" LDFLAGS="$(LDFLAGS) -fPIE -pie"
+	dh_auto_configure --builddirectory=$(BUILDDIR_NOX) -- $(FLAGS_duc-nox) CFLAGS="$(CFLAGS) -fPIE" LDFLAGS="$(LDFLAGS) -fPIE -pie"
 
 override_dh_auto_build:
 	cp -r src/glad/* $(BUILDDIR)/src/glad/

## duc 1.4.5

=== debian/changelog ===
duc (1.4.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:50 +1100

duc (1.4.5-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:14:48 +0000

duc (1.4.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Jonathan Dowland ]
  * Update watch file for new(er) GitHub APIs.
  * New upstream version.
  * Update standards version to 4.6.2, no changes needed.
  * Fix copyright file and reflect upstream relicensing as LGPL-3.
  * debian/duc.lintian-overrides: duc/duc-nox Conflicts
  * debian/gbp.conf: debian branch

 -- Jonathan Dowland <jmtd@debian.org>  Sat, 01 Jul 2023 20:05:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: duc
 Section: utils
 Priority: optional
-Maintainer: Jonathan Dowland <jmtd@debian.org>
-Build-Depends: debhelper (>= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Dowland <jmtd@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libcairo2-dev,
-               libncursesw5-dev,
+               libncurses-dev,
                libpango1.0-dev,
                libtokyocabinet-dev,
                ronn,
                txt2man
-Standards-Version: 4.5.0
-Homepage: http://duc.zevv.nl/
+Standards-Version: 4.6.2
+Homepage: https://duc.zevv.nl/
 Vcs-Git: https://salsa.debian.org/debian/duc.git
 Vcs-Browser: https://salsa.debian.org/debian/duc

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/zevv/duc/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## duc 1.4.6

=== debian/changelog ===
duc (1.4.6-1) unstable; urgency=high

  * New upstream version.
  * fix: fixed logic error in buffer_get(). Addresses CVE-2025-13654.
    Closes: #1122057.

 -- Jonathan Dowland <jmtd@debian.org>  Sun, 07 Dec 2025 10:50:42 +0000
